#!/bin/sh

update_busybox ()
{
    diff /bin/busybox /thunder/bin/busybox
    if [ "$?" -eq "0" ]; then
    echo "busybox"
    else
    cp -a /thunder/bin/busybox /bin
    fi
}

check_ramlist ()
{
    /bin/busybox cat /thunder/scripts/ramlist.txt | while read RAM_FILE
    do
    if [ ! -x $RAM_FILE ];then
    /bin/busybox ln -s /bin/busybox $RAM_FILE
    echo "make link for $RAM_FILE"
    fi    
    done
}

init_env ()
{
    /bin/busybox cp -a /thunder/etc/opkg /etc/
    /bin/busybox cp -a /thunder/etc/securetty /etc/
    HOST_NAME=`/thunder/bin/readkey sn | grep data | sed 's/.*\(.....\)$/\1/'`
    echo XL_MINER_$HOST_NAME > /etc/hostname
    export PATH=$PATH:/thunder/bin
    export LD_LIBRARY_PATH=/thunder/lib
    check_ramlist
    /thunder/bin/ubusd -s /var/run/ubus.sock  &
    sleep 1
    /thunder/bin/uhttpd -p 127.0.0.1:80 -u /ubus -a -h /thunder/www &
    /thunder/bin/minissdpd -i eth0 -i lo
    touch /tmp/.xunlei_msgqueue
    touch /tmp/.xunlei_module_queue
    touch /tmp/.mnt_usb_queue
    SOFTMODE=`/thunder/bin/envread xl_softmode` 
    /usr/sbin/fw_setenv enable_halt 0
    #iptables -t nat -A PREROUTING -i br0 -p udp --dport 53 -j DNAT --to $(nvram get lan_ipaddr)
    #iptables -t nat -A PREROUTING -i br0 -p tcp --dport 53 -j DNAT --to $(nvram get lan_ipaddr)
}

run_app ()
{
    /bin/sh /thunder/etc/start_app.sh  &
}

run_sys ()
{

    /thunder/bin/syswatch &
    /thunder/app/thunder/lib/EmbedThunderManager 0 > /dev/null &
    exit 0
}

SOFTMODE=`/thunder/bin/envread xl_softmode`
update_busybox
init_env

if [ "$SOFTMODE" == "factory" ]; then
mv /etc/securetty /etc/securetty_bak
/thunder/bin/factory_app
else
run_app
fi

/etc/init.d/S49ntp restart

